
#ifndef PCT_H
#define PCT_H

#define maxProcessStructures 18
#define MAX_BLOCK_TIME 5
#define BLOCK_THRESHOLD 500
#define NUM_QUEUES 3
#define BASE_QUANTUM 10
#define TIME_QUANTUMS {BASE_QUANTUM, BASE_QUANTUM * 2, BASE_QUANTUM * 4}

typedef struct {
        int CPU_time;
        int totalTime;
        int burstTime;
        int pid;
        int priority;
        int active;
        int isBlocked;
}process_control_table;

struct Clock {
        unsigned int seconds;
        unsigned int nanoSeconds;
};

struct Clock *system_clock;

process_control_table *PCB;

//int shm_id;
//int sem_id;
//int pct_shm_id;

#endif
